import os

import jwt
from apiflask import HTTPTokenAuth

auth = HTTPTokenAuth()


@auth.verify_token
def verify_token(token):
    if token is None:
        return False

    try:
        jwt.decode(token, os.getenv('SECRET_KEY'), algorithms=["HS256"])
        return True
    except jwt.exceptions.DecodeError:
        return False
